---
schema_version: "1"
id: 0212bb8be5516df20fbe35abacfe37709fea3fee00a4aaaf9399ae7909215536
title: Data Libraries (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-libraries.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-libraries
source_site: developer.salesforce.com
content_type: documentation
content_hash: e3414f4748efbb3b9f9e2e214148a9ee62e3597063df8ea6ddd8aedc913254ab
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Libraries (deprecated)

# Data Libraries (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get content asset.

`GET /libraries/{library_id}/content/{content_id}`

Operation ID: `Get content asset.`. Tags: libraries. Security: oauth2\_application.

Returns a content asset using the specified ID. If the content asset cannot be found, the server returns a 404 (ContentNotFoundException) fault. If the connection is not secure, the server returns a 403 (SecureCommunicationRequiredException).

This endpoint may return the following faults:

*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to retrieve.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_asset`.
    

### PUT Create content asset

`PUT /libraries/{library_id}/content/{content_id}`

Operation ID: `Create content asset`. Tags: libraries. Security: oauth2\_application.

Creates a new content asset in the specified library, or overwrites an existing content asset. If a content asset with the specified ID already exists, the server completely overwrites the content asset. Please note: Existing folder assignments are not touched. If the existing content asset is locked, the server returns a 409 (ResourceLockedException) fault. If the connection is not secure, the server returns a 403 (SecureCommunicationRequiredException) fault.

This endpoint may return the following faults:

*   400 - IdConflictException - Indicates that the ID from the request body doesn't match the URL-Id.
*   412 - ResourceLockedException - Indicates that the ID from the request body doesn't match the URL-Id.
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to retrieve.  
    Minimum length: 1. Maximum length: 256.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `content_asset`.

#### Responses

*   **400** `IdConflictException` - Indicates that the ID from the request body doesn't match the URL-Id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **412** `ResourceLockedException` - Indicates that the ID from the request body doesn't match the URL-Id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_asset`.
    

### DELETE Delete content asset.

`DELETE /libraries/{library_id}/content/{content_id}`

Operation ID: `Delete content asset.`. Tags: libraries. Security: oauth2\_application.

Deletes the content asset with the specified ID from the specified library. If the content asset is not found, the server returns a 404 (NotFoundException) fault. If the content asset is locked by another user, the server returns a 409 (ResourceLockedException) fault. If the connection is not secure, the server returns a 403 (SecureCommunicationRequiredException) fault.

This endpoint may return the following faults:

*   412 - ResourceLockedException - Indicates that the ID from the request body doesn't match the URL-Id.
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to remove.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **204**
*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **412** `ResourceLockedException` - Indicates that the ID from the request body doesn't match the URL-Id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    

### PATCH Update content asset.

`PATCH /libraries/{library_id}/content/{content_id}`

Operation ID: `Update content asset.`. Tags: libraries. Security: oauth2\_application.

Updates a content asset. In the request, the If-Match header is required. The value of the header is an 'ETag' representing the last known base-point information for the content asset. If the header is missing, the server returns a 409 (IfMatchRequiredException) fault. If the header value does not match the server's 'ETag', the server returns a 412 (InvalidIfMatchException) fault. The delta information for the library folder containing the content asset is updated atomically: the information is written completely or not at all. If the content asset is locked, the server returns a 409 (ResourceLockedException) fault.

This endpoint may return the following faults:

*   400 - ContentIdAlreadyInUseException - Indicates that a content asset with the ID to change to is already existing.
*   412 - ResourceLockedException - Indicates that the ID from the request body doesn't match the URL-Id.
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to retrieve.  
    Minimum length: 1. Maximum length: 256.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `content_asset`.

#### Responses

*   **400** `ContentIdAlreadyInUseException` - Indicates that a content asset with the ID to change to is already existing.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **412** `ResourceLockedException` - Indicates that the ID from the request body doesn't match the URL-Id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_asset`.
    

### GET Get assigned folders list.

`GET /libraries/{library_id}/content/{content_id}/folders`

Operation ID: `Get assigned folders list.`. Tags: libraries. Security: oauth2\_application.

Action to get all assigned folders of a content asset.

This endpoint may return the following faults:

*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) The content id of the assignment.  
    Minimum length: 1. Maximum length: 256.
*   `start` (query, integer (int32)) The result set index to return the first instance for. Default value is 0.  
    Minimum: 0.
*   `count` (query, integer (int32)) The maximum number of instances per request. Default value is 25.  
    Minimum: 1. Maximum: 200.

#### Responses

*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder_result`.
    

### GET Get content folder assignment

`GET /libraries/{library_id}/folder_assignments/{content_id}/{folder_id}`

Operation ID: `Get content folder assignment`. Tags: libraries. Security: oauth2\_application.

Action to get a single content to folder assignment

This endpoint may return the following faults:

*   404 - AssignmentNotFoundException - Indicates that no assignment between the given content asset and folder exists
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.
*   404 - ParentFolderNotFoundException - Indicates that the parent folder with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to retrieve.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **404** `AssignmentNotFoundException` - Indicates that no assignment between the given content asset and folder exists or `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown. or `ParentFolderNotFoundException` - Indicates that the parent folder with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder_assignment`.
    

### PUT Assign content asset to folder.

`PUT /libraries/{library_id}/folder_assignments/{content_id}/{folder_id}`

Operation ID: `Assign content asset to folder.`. Tags: libraries. Security: oauth2\_application.

Action to assign a content asset to a specified folder.

This endpoint may return the following faults:

*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.
*   404 - ParentFolderNotFoundException - Indicates that the parent folder with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) the ID of the shared library or the site-id in case of a private library  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the content id  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) the folder id  
    Minimum length: 1. Maximum length: 256.

#### Request body

Media type: `application/json, text/xml`. Schema: `content_folder_assignment`.

#### Responses

*   **404** `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown. or `ParentFolderNotFoundException` - Indicates that the parent folder with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder_assignment`.
    

### DELETE Unassign content asset from folder

`DELETE /libraries/{library_id}/folder_assignments/{content_id}/{folder_id}`

Operation ID: `Unassign content asset from folder`. Tags: libraries. Security: oauth2\_application.

Action to unassign a content asset from the specified library folder.

This endpoint may return the following faults:

*   404 - AssignmentNotFoundException - Indicates that no assignment between the given content asset and folder exists
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.
*   404 - ParentFolderNotFoundException - Indicates that the parent folder with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the ID of the content asset to retrieve.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **204**
*   **404** `AssignmentNotFoundException` - Indicates that no assignment between the given content asset and folder exists or `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown. or `ParentFolderNotFoundException` - Indicates that the parent folder with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    

### PATCH Update content folder assignment

`PATCH /libraries/{library_id}/folder_assignments/{content_id}/{folder_id}`

Operation ID: `Update content folder assignment`. Tags: libraries. Security: oauth2\_application.

Action to update a single content to folder assignment. Currently only the position and default attribute can be changed.

This endpoint may return the following faults:

*   404 - AssignmentNotFoundException - Indicates that no assignment between the given content asset and folder exists.
*   404 - ContentNotFoundException - Indicates that the content asset with the given id is unknown.
*   404 - FolderNotFoundException - Indicates that the folder with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `content_id` (path, string, required) the content id of the assignment  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `content_folder_assignment`.

#### Responses

*   **404** `AssignmentNotFoundException` - Indicates that no assignment between the given content asset and folder exists. or `ContentNotFoundException` - Indicates that the content asset with the given id is unknown. or `FolderNotFoundException` - Indicates that the folder with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder_assignment`.
    

### GET Get folder.

`GET /libraries/{library_id}/folders/{folder_id}`

Operation ID: `Get folder.`. Tags: libraries. Security: oauth2\_application.

Action to get folder information.

This endpoint may return the following faults:

*   404 - FolderNotFoundException - Indicates that the folder with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **404** `FolderNotFoundException` - Indicates that the folder with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder`.
    

### PUT Create folder.

`PUT /libraries/{library_id}/folders/{folder_id}`

Operation ID: `Create folder.`. Tags: libraries. Security: oauth2\_application.

Action to create a new library folder, or to replace an existing folder. This action completely overwrites existing folders. Please note: Sub folders and assignments to content assets are not touched. This action ignores the folder ID in the input document.

This endpoint may return the following faults:

*   400 - IdConflictException - Indicates that the ID from the request body doesn't match the URL-Id.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.
*   404 - ParentFolderNotFoundException - Indicates that the parent folder with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `content_folder`.

#### Responses

*   **400** `IdConflictException` - Indicates that the ID from the request body doesn't match the URL-Id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `LibraryNotFoundException` - Indicates that library with the given id is unknown. or `ParentFolderNotFoundException` - Indicates that the parent folder with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder`.
    

### DELETE Delete a folder.

`DELETE /libraries/{library_id}/folders/{folder_id}`

Operation ID: `Delete a folder.`. Tags: libraries. Security: oauth2\_application.

Delete folder

This endpoint may return the following faults:

*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **204**
*   **404** `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    

### PATCH Update folder.

`PATCH /libraries/{library_id}/folders/{folder_id}`

Operation ID: `Update folder.`. Tags: libraries. Security: oauth2\_application.

Updates an existing folder. In the request, the If-Match header is required. The value of the header is an 'ETag' representing the last known base-point information for the library folder. If the header is missing, the server returns a 409 (IfMatchRequiredException) fault. If the header value does not match the server's 'ETag', the server returns a 412 (InvalidIfMatchException) fault. The delta information for the library folder is updated atomically: the information is written completely or not at all.

This endpoint may return the following faults:

*   400 - ContentFolderIdAlreadyInUseException - Indicates that a content folder with the ID to change to is already existing.
*   404 - FolderNotFoundException - Indicates that the folder with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `content_folder`.

#### Responses

*   **400** `ContentFolderIdAlreadyInUseException` - Indicates that a content folder with the ID to change to is already existing.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `FolderNotFoundException` - Indicates that the folder with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder`.
    

### GET Get assigned content assets list

`GET /libraries/{library_id}/folders/{folder_id}/content`

Operation ID: `Get assigned content assets list`. Tags: libraries. Security: oauth2\_application.

Action to get all assigned content assets of a folder.

This endpoint may return the following faults:

*   404 - FolderNotFoundException - Indicates that the folder with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.
*   `start` (query, integer (int32)) The result set index to return the first instance for. Default value is 0.  
    Minimum: 0.
*   `count` (query, integer (int32)) The maximum number of instances per request. Default value is 25.  
    Minimum: 1. Maximum: 200.

#### Responses

*   **404** `FolderNotFoundException` - Indicates that the folder with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_asset_result`.
    

### GET Get sub folders.

`GET /libraries/{library_id}/folders/{folder_id}/sub_folders`

Operation ID: `Get sub folders.`. Tags: libraries. Security: oauth2\_application.

Action to get sub folders information.

This endpoint may return the following faults:

*   404 - FolderNotFoundException - Indicates that the folder with the given id is unknown.
*   404 - LibraryNotFoundException - Indicates that library with the given id is unknown.

#### Parameters

*   `library_id` (path, string, required) ID of the shared library or the site-id in case of a private library.  
    Minimum length: 1. Maximum length: 256.
*   `folder_id` (path, string, required) ID of a target folder.  
    Minimum length: 1. Maximum length: 256.
*   `start` (query, integer (int32)) The result set index to return the first instance for. Default value is 0.  
    Minimum: 0.
*   `count` (query, integer (int32)) The maximum number of instances per request. Default value is 25.  
    Minimum: 1. Maximum: 200.

#### Responses

*   **404** `FolderNotFoundException` - Indicates that the folder with the given id is unknown. or `LibraryNotFoundException` - Indicates that library with the given id is unknown.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_sub_folder_result`.
    

## Schemas

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.

### content\_asset

Document representing a content asset.

*   `classification_folder_id` (_string_) The ID of the classification folder. It is only part of the response, if the assignment from this content asset to the folder is marked as 'default'. The property is read-only. To set the classification folder just create/update an assignment between this content asset and a folder and mark it as 'default'. See details in /libraries/{library\_id}/folder\_assignments/{content\_id}/{folder\_id} resource.
*   `classification_folder_link` (_string_) The link to the classification folder. It is only part of the response, if the assignment from this content asset to the folder is marked as 'default'. The property is read-only. To set the classification folder just create/update an assignment between this content asset and a folder and mark it as 'default'. See details in /libraries/{library\_id}/folder\_assignments/{content\_id}/{folder\_id} resource.
*   `creation_date` (_string (date-time)_, read-only) Returns the value of attribute 'creationDate'.
*   `description` (_object (localized)_) The localized content asset description.
    
    Additional properties: `string`.
    
*   `id` (_string_) The id of the content asset.  
    Minimum length: 1. Maximum length: 256.
*   `last_modified` (_string (date-time)_, read-only) Returns the value of attribute 'lastModified'.
*   `link` (_string_) The link to the content asset resource.
*   `name` (_object (localized)_) The localized content asset name.
    
    Additional properties: `string`.
    
*   `online` (_object (site-specific)_) Is the asset online?
    
    Additional properties: `boolean`.
    
*   `page_description` (_object (localized)_) The localized content asset page description.
    
    Additional properties: `string`.
    
*   `page_keywords` (_object (localized)_) The localized content asset page keywords.
    
    Additional properties: `string`.
    
*   `page_title` (_object (localized)_) The localized content asset page title.
    
    Additional properties: `string`.
    
*   `page_url` (_object (localized)_) The localized content asset page url.
    
    Additional properties: `string`.
    
*   `searchable` (_object (site-specific)_) Is the asset searchable?
    
    Additional properties: `boolean`.
    
*   `site_map_change_frequency` (_object (site-specific)_) The content assets change frequency needed for the sitemap creation (always, hourly, daily, weekly, monthly, yearly, never).
    
    Additional properties: `string`.
    
    Allowed values: `always`, `daily`, `hourly`, `monthly`, `never`, `weekly`, `yearly`. Value meanings: `always`: always; `daily`: daily; `hourly`: hourly; `monthly`: monthly; `never`: never; `weekly`: weekly; `yearly`: yearly.
    
*   `site_map_included` (_object (site-specific)_) The status if the content asset is included into the sitemap (either 0 or 1).
    
    Additional properties: `integer (int32)`.
    
    Allowed values: `0`, `1`. Value meanings: `0`: NO; `1`: YES. Minimum: 0. Maximum: 1.
    
*   `site_map_priority` (_object (site-specific)_) The content assets priority needed for the sitemap creation (0.0 for no priority defined).
    
    Additional properties: `number (double)`.
    
    Maximum: 1.
    
*   `template` (_string_) The rendering template.

_Example_

```
{
  "description": {
    "default": "Global My Account Banner"
  },
  "id": "account-banner",
  "name": {
    "default": "My Account Banner"
  },
  "online": {
    "default": false
  },
  "searchable": {
    "default": false
  },
  "site_map_change_frequency": {
    "default": "never"
  },
  "site_map_included": {
    "default": 0
  },
  "site_map_priority": {
    "default": 0
  },
  "c_body": {
    "default": {
      "source": "<p>This is the account banner body.</p>"
    }
  }
}
```

### content\_folder\_result

Result document containing an array of content folders.

*   `count` (_integer (int32)_) The number of search results in the current page.
*   `data` (_array of object_) The returned objects.
*   `hits` (_array of content\_folder_) The sorted array of search hits. This array can be empty.
*   `next` (_string_) The URL of the next result page.
*   `previous` (_string_) The URL of the previous result page.
*   `select` (_string_) The fields that you want to select.
*   `start` (_integer (int32)_) The zero-based index of the first search result to include in the document.  
    Minimum: 0.
*   `total` (_integer (int32)_) The total number of search results.

_Example_

```
{
  "count": 1,
  "hits": [
    {
      "id": "about-us",
      "link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/about-us",
      "parent_link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/root",
      "sub_folders_link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/about-us/sub_folders"
    }
  ],
  "next": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/content/account-banner/folders?count=1&start=2",
  "previous": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/content/account-banner/folders?count=1&start=0",
  "start": 1,
  "total": 3
}
```

### content\_folder\_assignment

Document representing a content folder assignment.

*   `content_id` (_string_) The content id.  
    Maximum length: 256.
*   `content_link` (_string_) The content link.
*   `default` (_boolean_) A flag indicating whether the assignment is the default one.
*   `folder_id` (_string_) The folder id.  
    Maximum length: 256.
*   `folder_link` (_string_) The folder link.
*   `position` (_number (double)_) The position of the content asset in the folder.  
    Minimum: 0.

_Example_

```
{
  "content_id": "account-banner",
  "content_link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/content/account-banner",
  "folder_id": "about-us",
  "folder_link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/about-us"
}
```

### content\_folder

Document representing a content folder.

*   `creation_date` (_string (date-time)_, read-only) Returns the value of attribute 'creationDate'.
*   `description` (_object (localized)_) The localized content folder description.
    
    Additional properties: `string`.
    
*   `id` (_string_) The id of the content folder.  
    Maximum length: 256.
*   `last_modified` (_string (date-time)_, read-only) Returns the value of attribute 'lastModified'.
*   `link` (_string_) The link to the content folder resource.
*   `name` (_object (localized)_) The localized content folder name.
    
    Additional properties: `string`.
    
*   `online` (_boolean_) A flag indicating whether the folder in online (default is false).
*   `page_description` (_object (localized)_) The localized content folder page description.
    
    Additional properties: `string`.
    
*   `page_keywords` (_object (localized)_) The localized content folder page keywords.
    
    Additional properties: `string`.
    
*   `page_title` (_object (localized)_) The localized content folder page title.
    
    Additional properties: `string`.
    
*   `page_url` (_object (localized)_) The localized content folder page URL.
    
    Additional properties: `string`.
    
*   `parent_folder_id` (_string_) The id of the parent content folder.
*   `parent_link` (_string_) The URL to the parent content folder.
*   `sub_folders_link` (_string_) The URL to list the content sub-folders.
*   `template` (_string_) The rendering template.

_Example_

```
{
  "id": "about-us",
  "online": false,
  "page_description": {
    "default": "Page Descr. (Default)",
    "en": "Page Descr. (en)",
    "en-US": "Page Descr. (en_us)"
  },
  "page_keywords": {
    "default": "Page Keywords (Default)",
    "en": "Page Keywords (en)",
    "en-US": "Page Keywords (en_us)"
  },
  "parent_folder_id": "root"
}
```

### content\_asset\_result

Result document containing an array of content assets.

*   `count` (_integer (int32)_) The number of search results in the current page.
*   `data` (_array of object_) The returned objects.
*   `hits` (_array of content\_asset_) The sorted array of search hits. This array can be empty.
*   `next` (_string_) The URL of the next result page.
*   `previous` (_string_) The URL of the previous result page.
*   `select` (_string_) The fields that you want to select.
*   `start` (_integer (int32)_) The zero-based index of the first search result to include in the document.  
    Minimum: 0.
*   `total` (_integer (int32)_) The total number of search results.

_Example_

```
{
  "count": 1,
  "hits": [
    {
      "id": "about-us",
      "link": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/content/about-us"
    }
  ],
  "next": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/about-us/content?count=1&start=2",
  "previous": "https://example.com/s/-/dw/data/{version}/libraries/SiteGenesis/folders/about-us/content?count=1&start=0",
  "start": 1,
  "total": 3
}
```

### content\_sub\_folder\_result

Result document containing an array of content subfolders.

*   `count` (_integer (int32)_) The number of search results in the current page.
*   `data` (_array of object_) The returned objects.
*   `hits` (_array of content\_folder_) The sorted array of search hits. This array can be empty.
*   `next` (_string_) The URL of the next result page.
*   `previous` (_string_) The URL of the previous result page.
*   `select` (_string_) The fields that you want to select.
*   `start` (_integer (int32)_) The zero-based index of the first search result to include in the document.  
    Minimum: 0.
*   `total` (_integer (int32)_) The total number of search results.

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)